Package Details: tresorit 3.5.600.797-1

Git Clone URL: https://aur.archlinux.org/tresorit.git (read-only)
Package Base: tresorit
Description: Encrypted cloud storage for your confidential files. Using Tresorit, files are encrypted before being uploaded to the cloud. Start encrypting files for free.
Upstream URL: http://www.tresorit.com/
Keywords: cloud secure storage sync
Licenses: custom:tresorit
Submitter: dannysu
Maintainer: None
Last Packager: xaver
Votes: 10
Popularity: 0.000991
First Submitted: 2015-12-21 18:44
Last Updated: 2018-10-01 08:21

Pinned Comments

xaver commented on 2018-11-05 14:46

@mprom The release notes at https://support.tresorit.com/hc/en-us/articles/215858608-Tresorit-for-Linux still have 3.5.600.797 as most current version. Unfortunately Tresorit update their blob sometimes without giving any release notes at all. Also, the client updates itself in the users home folder without new downloads on the website. Therefore it's not a good idea to install it globally in /usr or /opt or whatever. Tresorit also do not recommend to run it as root (for all the good reasons). To be honest, it's probably not a good solution to package Tresorit at all, since Tresorit themselves advise against it (cf. https://support.tresorit.com/hc/en-us/articles/216114157-Tresorit-for-Linux-FAQ). The only things that package currently does for you is a) verify the binary according to https://support.tresorit.com/hc/en-us/articles/216114157-Tresorit-for-Linux-FAQ and b) save you from downloading it multiple times on a multi user system and c) install a *.service file.

Since I've struggled with this package for a long time now without seeing any reasonable solution to the aforementioned problems, I will orphan that package now and recommend installing Tresorit as it is documented at https://support.tresorit.com/hc/en-us/articles/216114157-Tresorit-for-Linux-FAQ or as CLI version (cf. https://support.tresorit.com/hc/en-us/articles/360009330614-Using-Tresorit-CLI-for-Linux).

If anyone has a good solution for that package, feel free to take over.

Latest Comments

« First ‹ Previous 1 2

SanderMaijers commented on 2018-04-03 10:30

The bug the previous commenter refers to still exists! Fix:

diff --git a/PKGBUILD b/PKGBUILD
index 77a48e0..bfb6026 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -13,7 +13,7 @@ makedepends=('xxd')
 source=("tresorit_installer_${pkgver}.run::https://installerstorage.blob.core.windows.net/public/install/tresorit_installer.run"
         "tresorit.service")
-sha512sums=('1b2ed3afc85434a36bbc6c584b6aab3cc259814167ba228efa467f44ec33c98452796a176e08750a6eaf44171ce2378c1c998743588cc155b2a9944a2094b2f4'
+sha512sums=('9e281a181f360f6f199dc7d826d2ba97b39fb342e0bfa99c47503ea1a9c152115de3565a1c13c0e0cd288f14e00c9fb1beac7619558c0c49ae031c7b04977ae0'
             '58aa3738fd17d5930ed76b9491a3ef0dd481b918f5329b56650e6d77078ad74caeea60c9cf83d524a483a9be7fc41aba2712400922d4ab3db775f1c2a1365765')
 prepare() {

infinitezero commented on 2018-03-10 00:19

Just a heads up, the version of Tresorit your PKGBUILD is trying to install is old, the current version for Linux is 3.0.509.751.

AUR Packages (1) tresorit-3.0.504.743-2

:: Proceed with installation? [Y/n] Y

:: Retrieving package(s)... :: tresorit build files are up-to-date -- skipping :: Checking tresorit integrity... ==> Making package: tresorit 3.0.504.743-2 (Thu Mar 8 16:22:42 MST 2018) ==> Retrieving sources... -> Found tresorit_installer_3.0.504.743.run -> Found tresorit.service ==> Validating source files with sha512sums... tresorit_installer_3.0.504.743.run ... FAILED tresorit.service ... Passed ==> ERROR: One or more files did not pass the validity check! :: failed to verify tresorit integrity

slevin commented on 2017-11-17 10:35

How about adding a unit file for systemd?

For instance,
```
[Unit]
Description=Tresorit: Encrypted cloud storage for your confidential files.

[Service]
ExecStart=/home/user/.local/share/tresorit/tresorit --hidden
ExecReload=/bin/kill -HUP $MAINPID
Restart=always

[Install]
WantedBy=default.target
```

klemmster commented on 2017-10-10 13:55

The PKGBUILD fails here because I don't have vim (but nvim) installed, so xxd is missing.

tigerlee commented on 2017-09-26 04:18

pkgver in .SRCINFO different from that in PKGBUILD

cb474 commented on 2017-01-15 01:28

Still getting the validity check error.

KorvinSilver commented on 2016-11-09 21:24

==> Validating source files with sha1sums...
tresorit_installer.run ... FAILED
==> ERROR: One or more files did not pass the validity check!
==> ERROR: Makepkg was unable to build tresorit.

blackpoll commented on 2016-09-02 15:58

Thanks for providing this package. It says that it is flagged out of date so wondering if it is still safe to install?

dbrgn commented on 2016-05-05 07:26

See https://support.tresorit.com/hc/en-us/articles/216114157-Tresorit-for-Linux-FAQ for instructions on how to verify the installer.

It would probably be best to use NOVERIFY in the sha1sums and rely on the GPG key instead.